Bug 1031471 - (CVE-2013-4578) CVE-2013-4578 OpenJDK: jarsigner does not detect unsigned bytecode injected into signed jars
CVE-2013-4578 OpenJDK: jarsigner does not detect unsigned bytecode injected i...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20140114,reported=2...
: Security
Depends On: 1029725
Blocks: 1031472
  Show dependency treegraph
 
Reported: 2013-11-17 23:17 EST by Arun Babu Neelicattu
Modified: 2016-09-09 16:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-08 22:22:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arun Babu Neelicattu 2013-11-17 23:17:06 EST
It has been identified that it is possible to inject malicious unsigned bytecode into a signed JAR without failing jarsigner verification. This flaw could be exploited in environments where contents of a verified JAR is considered trusted and unpacked for use.

Note that if the signed JAR is used at runtime, with signature intact, a fatal runtime exception is thrown.
Comment 2 David Jorm 2013-11-17 23:24:42 EST
Acknowledgements:

This issue was discovered by Arun Babu Neelicattu of the Red Hat Security Response Team.
Comment 3 Kurt Seifried 2015-02-08 17:34:13 EST
This was fixed publicly by upstream

http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/d5f36e1c927e
Comment 5 Tomas Hoger 2016-09-09 16:26:07 EDT
(In reply to Kurt Seifried from comment #3)
> This was fixed publicly by upstream
> 
> http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/d5f36e1c927e

The fix was included in OpenJDK, Oracle JDK and IBM JDK updates released to address January 2014 CPU security issues.  Upstream considered it security hardening rather than vulnerability fix.

Note You need to log in before you can comment on or make changes to this bug.